package com.bwie.feign;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:31
 */
@FeignClient(name = "bwie-user")
public interface UserFeign {
    @PostMapping("/userLogin")
    public Result<User> userLogin(@RequestBody UserRequest userRequest);
    @PostMapping("/adminLogin")
    public Result<Admin> adminLogin(@RequestBody UserRequest userRequest);
}
